# Generated by Django 4.2.11 on 2024-03-18 13:48

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Perfil',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_type', models.CharField(choices=[('C', 'Type C'), ('V', 'Type V')], max_length=1)),
                ('image', models.ImageField(default='default.jpg', upload_to='profile_pics/')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Endereco',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rua', models.CharField(max_length=255)),
                ('numero', models.CharField(max_length=100)),
                ('complemento', models.CharField(max_length=150)),
                ('bairo', models.CharField(max_length=255)),
                ('cep', models.CharField(max_length=10)),
                ('perfil_usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='perfil.perfil')),
            ],
        ),
    ]
